ActionElevationType (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, enum: ActionElevationType

Package com.install4j.api.beaninfo

# Enum Class ActionElevationType

java.lang.Object
java.lang.Enum<ActionElevationType>
com.install4j.api.beaninfo.ActionElevationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ActionElevationType>`, `Constable`

public enum ActionElevationType extends Enum<ActionElevationType>
Enumeration class for all possible elevation strategies for actions.

See Also:
  - `ActionBeanInfo.setDefaultActionElevationType(ActionElevationType)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ELEVATE`
  If elevated privileges are available, the action will be run in the elevated helper process.
  `INHERIT`
  The action elevation type will be inherited from the parent element, such as the action or screen group, the screen or the installer application itself.
  `NONE`
  The action will not be elevated, it will run in-process as the original user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Convert to an int value.
  `static ActionElevationType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ActionElevationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INHERIT

    public static final ActionElevationType INHERIT
    The action elevation type will be inherited from the parent element, such as the action or screen group, the screen or the installer application itself.

  - ### NONE

    public static final ActionElevationType NONE
    The action will not be elevated, it will run in-process as the original user.

  - ### ELEVATE

    public static final ActionElevationType ELEVATE
    If elevated privileges are available, the action will be run in the elevated helper process.

- ## Method Details

  - ### values

    public static ActionElevationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ActionElevationType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Convert to an int value.
    Returns:
      the int value